coretan tentang autocad dan excel

October 11, 2012

[CAD-MAP-13]: Labelling Grid Secara Otomatis dengan Block Attribute

Filed under: AutoCAD — Tags: , , — cadex @ 21:38
Referensi : [CAD-MAP-06]: Cara Mudah Membuat Label dan Table Koordinat di AutoCAD Bagian #1
Platform : Autocad
Lokasi File :

Pada posting [CAD-MAP-06]: Cara Mudah Membuat Label dan Table Koordinat di AutoCAD Bagian #1 telah dijelaskan cara menggunakan block attribute untuk membuat label dan tabel koordinat. Kali ini akan diterangkan penggunaan block attribute untuk membuat label grid otomatis. Otomatis maksudnya, jika grid dipindah ke koordinat lain, maka label yang ada di pinggir grid secara otomatis berubah.

Misal contoh grid yang akan diberi label adalah

image Keterangan Grid:
1. Unit gambar meter
2. Spasi Grid ke arah X dan Y 100 meter
3. Ukuran text Grid 5 unit (meter)Tahapan yang akan diterangkan selanjutnya adalah untuk membuat label grid di sebelah kiri dan bawah saja. Harapan saya, untuk bagian kanan dan atas bisa Anda buat sendiri.

Tahapan membuat label grid :
1. Membuat block attribute untuk label kordinat X dan label koordinat Y yang berisi field attribute insertion point block.
2. Memasukkan block (insert block) ke grid yang akan diberi label.

1. Membuat block attribute untuk label kooordinat X dan Y

Block attribute akan dibuat dengan design sebagai berikut:

Nama Block Layer Tinggi text Rotasi Text Justification Keterangan
Grid_Y_kiri Grid_Label 5 0 Bottom Right Label koordinat X kiri
Grid_X_bawah Grid_Label 5 90 Bottom Right Label koordinat Y bawah
Grid_Y_kanan Grid_Label 5 0 Bottom Left Label koordinat X kanan
Grid_X_atas Grid_Label 5 90 Bottom Left Label koordinat Y atas

Membuat block Grid_Y_kiri:

  • Buat layer Grid_Label kemudian set sebagai layer active
  • Ketik di menu command: bedit
  • Pada isian [Blocl to create or edit] masukkan nama block : Grid_Y_kiri
  • click tombol [OK] untuk masuk ke area [block editor]
  • Pada menu palette [block authoring palettes] pilih group [paremeters], kemudian pilih [basepoint] image
  • Click sembarang di area block editor
  • click icon image  atau ketik di menu command: attdef
  • di frame attribute, masukkan di isian Tag: y_kiri
  • di pilihain [default], click tombol image
  • Lakukan setting field seperti berikut:
    image maksud dari setting ini adalah :
    “secara default isian di tag y_kiri adalah nilai koordinat Y dari Posisi BlockPlaceHolder (insertion point block) atau nilai Y tergantung posisi block diinserted ke gambar”Note: perhatikan arsir kuning hanya nilai Y yang dipilih. Jika untuk koordinat X maka hanya nilai X yang dipilih
  • clik [OK] untuk kembali ke pengaturan block attribute definition
  • Lakukan setting tinggi text, Justificationd dan rotation, sehingga tampilan block attribute definition sebagai berikut
    image text style bisa dirubah sesuai dengan pilihan.
    Pastikan pilihan Insertion Point adalah [specify on-screen]kemudian click [OK]
  • Posisikan attribute definition di dekat basepoint. Gambar di area block editor menjadi
  • image
  • click icon image untuk menutup block editor, kemudian pilih [save block]
  • ketik di menu command: insert
  • pilih block Grid_x_kiri, kemudian click [OK]
  • Pilih koordinat yang akan diberi label. Jangan lupa diset snap point sehingga didapat lokasi koordinat yang akurat. Contoh di bawah, saya menggunakan object snap node. Gambar kiri saat insertion point, sedangkan gambar kanan adalah block attribute yang otomatis terisi text nilai kordinat X nya.
    image image
  • untuk menghilangkan warna arsiran, ketik di command:fielddisplay
  • kemudian masukkan angka 0
  • Lakukan perintah array untuk mengcopy block ke atas. Jika label tidak beribah, ketik di commmand: regen
  • image
  • dengan langkah yang sama, buat block attribut Grid_X_bawah
  • Gird koordinat menjadi
  • image
  • coba pilih semua grid termasuk labelnya kemudian pindah lokasinya, maka label otomatis juga berubah.
  • Jangan lupa ketik commmand: regen jika label tidak berubah.

Apabila diinginkan ada pemisah ribuan, maka perlu diperlukan trik sebagai berikut.

  • hapus terlebih dahulu label sebelumnya, kemudian
  • ketik di command: bedit
  • pilih blocknya. misal Grid_X_bawah
    image double click tag X_BAWAH
    image Block insertionPoint kemudian click kananPilih [Edit Field]

    Pilih Field Expression kemudian copy ke notepad
    kemudian tutup Field Editor dengan menge-click [OK]

    di notepad, edit field expression :
    semula:
    %<\AcObjProp.16.2 Object(?BlockRefId,1).InsertionPoint \f “%lu6%pt1″>%

    dirubah menjadi:
    %<\AcObjProp.16.2 Object(?BlockRefId,1).InsertionPoint \f “%lu6%pt1%th44“>%

    %th44 artinya memasukkan tanda pemisah ribuan berupa tanda koma (ascii code nomer 44)

    copy field expression yang baru, kemudian paste dengan menimpa tulisan InsertionPoint di [Edit Attribute Definition]

  • Click [OK] kemudian [close block editor]
  • Insesrt block attribut ke gambar kemudian lakukan array
  • Label grid dengan pemisah ribuan:
  • image

===selamat mencoba===

May 16, 2012

[XLS-SVY-13]: Plotting Cross Section dari Excel ke AutoCAD Versi 1.1

Filed under: AutoCAD, Excel — Tags: , — cadex @ 22:12
Referensi : [XLS-SVY-007]: Plotting Cross Section dari Excel ke AutoCAD
Platform : Autocad , Excel 2007/Excel 2003
Lokasi File :

Pada posting [XLS-SVY-007]: Plotting Cross Section dari Excel ke AutoCAD, telah diuraikan tahapan untuk membuat gambar cross section dari file excel.

Posting kali ini akan saya akan mencoba untuk versi plotting cross section dari excel ke autocad dengan beberapa fasilitas tambahan. Berikut adalah snap shot program vba-excel / macronya:

image

Fasilitas tambahan seperti yang ditampilkan di atas adalah:

  • Ada tambahan custom menu bar, sehingga tidak lagi menggunakan menu run macro
  • Ada setting parameter skala horizontal, skala vertikal, tinggi huruf dan tinggi band (informasi baris) di bawah cross section
  • Bisa memproses beberapa sheet sekaligus
  • Setting elevasi datum
  • Type labelling bisa di tiap perubahan slope atau di tiap pertambahan jarak.
  • Bisa dilakukan checking cross section di excel dengan cara menggambarkan cross section dalam bentuk grafik atau chart secara otomatis.

Contoh hasil plotting cross section di autocad dengan type labelling yang berbeda

Labelling di tiap perubahan slope Labelling di tiap penambahan jarak
image image
image image

Cara menjalankan program:

1. Download programnya

2. Set security macro ke medium.

Untuk excel 2003, click menu ‘Tool2’>>’Macro’>>’Security’
Pilih Security ‘Medium’. Untuk excel yang lain silahkan di cari di menu help atau bisa dicari lewat om google.

3. Extract kedua zip file hasil download dan tempatkan dalam satu folder. Setelah di-extract terdapat dua file yaitu PlotCrossSection2003.xla dan 0000-2000.xls

Tahapan berikutnya adalah setting autocad library dalam program PlotCrossSection2003.xla. Jika Anda menggunakan autocad versi 2011, maka tidak perlu dilakukan setting ini, karena saat saya membuat program ini, program Autocad Versi 2011 telah terinstall di komputer saya.

Tetapi jika menggunakan autocad versi yang lain, maka perlu dilakukan setting reference excel ke autocad. Setting ini hanya dilakukan sekali saja (langkah nomer 4 sampai 10 di bawah) sepanjang Anda tidak merubah versi autocad.

Apabila anda mempunyai beberapa versi autocad dalam komputer, maka pilih salah satu saja sesuai dengan autocad yang akan dipakai.

4. Dalam program excel, Buka file PlotCrossSection2003.xla. Click [Enable Macros], jika ada notifikasi ‘Microsoft Excel Security Notice’

5. Tekan tombol Alt+F11 untuk mengaktifkan Visual Basic Application (VBA) Editor.

6. Click tanda plus di kiri VBAProject (PlotCrossSection2003.xla)

7. Double click mdlPlot2CAD

8. Dari menu [Tool], pilih [References]

image

Contoh disamping adalah VBA sudah ter-reference ke AutoCAD 2011 Type Library.

Jika Anda menggunakan Autocad  versi lain, maka akan ada pesan error MISSING Library. Uncheck MISSING Library tersebut, kemudian scroll down untuk mencari library yang sesuai dengan AutoCAD yang terintall di komputer.

Contoh : Apabila autocad yang terinstall adalah AutoCAD versi 2006, cari library dengan nama AutoCAD 2006 Type Library

click [OK], jika sudah dilakukan setting library

9. Masih di VBA Editor, click menu [File], pilih [Save PlotCrossSection2003.xla]

10. Tekan Tombol Alt-Q untuk keluar dari VBA Editor.

11. Jalankan program AutoCAD

12. Pada program excel,  buka file contoh cross section [0000-2000.xls]

13. Masih di program excel, click tombol image di menu cadex. Jika Anda menggunakan excel 2007, tombol ini ada di groups ribbon [Add-Ins]

14. Lakukan setting plot cross section, misal sebagai berikut:

image

15. Kemudian click [OK]

16. Jika ingin mengecek lebih dulu gambar cross section berupa chart excel, clik tombol [Yes], jika ingin langsung melihat hasilnya di AutoCAD, click [No]

17. Gambar cross section akan tergambar di autocad.

Ada beberapa pengunjung yang menginginkan jika format angka desimal ditampilkan ditampilkan 3 digit atau ada tiga angka di belakang tanda titk desimal.

Silahkan download  file program terbaru yang sudah aku rubah sedikit codingnya untuk menfasilitasi setting jumlah digit desimal. Tampilan programnya menjadi:

image

Gambar 1: Setting Cross Section

Ada juga beberapa pengunjung yang menanyakan bagaimana kalo untuk menggambar long section?

Program tersebut bisa juga untuk menggambarkan long section dengan cara memasukkan angka dikolom [B] dimulai dengan angka 0 (nol) di baris pertama atau [B2] kemudian dimasukkan stasiun berikutnya ke bawah sampai ke stasiun terakhir. Elevasi untuk masing-masing stasiun tetap dimasukkan di kolom [C].

Contoh format spreadsheet untuk longsection jika adalah:

image

Berikut adalah uraian tahapan setting di Excel 2007 dan AutoCAD 2011 dalam bentuk gambar:

1. Download programnya dari sjydrive / one drive atau dari dropbox

2. Extract zip file dalam satu folder untuk menampilkan dua file contoh data cross dan programnya:

image

3. Jalankan program Excel 2007

CARA SET SECURITY MACRO:

4. Click Tombol [Office] image, kemudian pilih [Excel Options]

image

5. Pada  [Excel Options], pilih [Trus Center] kemudian click [Trust Center Settings...]

image

6. Pada [Trust Center], pilih [Macro Setting], kemudian lakukan setting:

[Macro Settings]: [Disable all macros with notification]

[Developer Macro Setting]: check [Trust access to VBA project object model]

image

7. Click OK

Langkah 4 sampai 7 hanya dilakukan sekali saja, jika security macro sebelumnya belum diset seperti langkah di atas.

MEMBUKAN FILE PROGRAM CROSS SECTION

8. Buka file [PlotCrossSection2003.xla] hasil extract zip file

9. Jika keluar [Security Notice] seperti di bawah, click [Enable Macros]

image

Langkah 9 dilakukan setiap membuka file [PlotCrossSection2003.xla].

CARA SETTING LIBRARY AUTOCAD 2011 DI VBA-EXCEL:

10. Setelah file [PlotCrossSection2003.xla] dibuka dan tombol [Enable Macros] di click, tekan tombol kombinasi Alt+F11 untuk membuka Visual Basic Editor (VBE).

image

11. Double click [mdlPlot2CAD] di bawah VBAProject (PlotCrossSection2003.xla) untuk menampilkan program utama penggambaran cross section.

12. Masih di VBE, pada menu [Tool], pilih [References...]

image

13. Check atau cari di [Available References] kemudian pilih [AutoCAD 2011 Type Library]

Jika sebelumnya, terpilih reference [Missing:AutoCAD 2011 Type Library], uncheck pilihan tersebut, kemudian pilih reference sesuai dengan versi AutoCAD Anda.

– AutoCAD 2006 pilih  AutoCAD 2006 Type Library

– AutoCAD 2010 pilih  AutoCAD 2010 Type Library

– AutoCAD 2011 pilih  AutoCAD 2011 Type Library

– seandainya sudah ada AutoCAD 2020 pilih  AutoCAD 2020 Type Library

image

14. Jika sudah dipilih, click [OK]

15. Masih di VBE click tombol [Save] untuk menyimpan perubahan reference.

Langkah 10 sampai 15 hanya dilakukan sekali saja, jika  sebelumnya belum pernah dilakukan setting reference ke autocad atau ada perubahan versi autocad.

16. Masih di VBE, pada menu [File], pilih [Close and Return to Microsoft Excel]

image

17. Pada Excel 2007, pilih ribbon [Add-Ins] untuk menampilan short cut program cross section.

image

18. Buka file contoh cross section [0000-2000.xls] hasil extract zip

image

19. Buka atau jalankan program AutoCAD dan JANGAN tutup program Excel 2007.

image

20. Click icon image, kemudian lakukan setting cross section seperti di Gambar 1: Setting Cross Section kemudian click [OK]

21. Pilih [Yes] jika cross section akan digambar di Excel sebaliknya pilih [No] jika akan digambar di AutoCAD

image

Jika dipilih [No], maka tampilan cross section di autocad:

image

#silahkan mencoba#

==zainul==

January 23, 2012

[CAD-MAP-12]: Menulis Text Jarak dan Azimut Menggunakan Query dan Annotation di AutocadMap

Filed under: AutoCAD, Map — Tags: , — cadex @ 12:47
Referensi : [CAD-MAP-11]: Labelling Titik Tinggi Menggunakan Annotation di AutocadMap
Platform : AutocadMap, Land Development dan Civil 3D
Lokasi File :

Kadang kita membutuhkan informasi jarak dan azimut (sudut yang dihitung dari arah utara searah jarum jam) pada gambar polyline untuk keperluan misalnya antara lain:

  • pengecekan pengukuran jarak dan sudut
  • pengembalian batas tanah dari poligon terdekat
  • stake out
  • dll

Beberapa cara penulisan label di Autocad dan AutocadMap yang pernah aku coba adalah:

  • Menggunan fasilitas query di autocadmap.
  • Menggunakan fasilitas annotation di autocadmap. Cara ini bisa diterapkan jika program autocadmap sudah support annotation
  • Menggunakan Autolisp di Autocad

Note: Karena saat instalasi program Land Development dan Civil 3D otomatis terinstall modul Map, maka langkah-langkah yang diuraikan di bawah juga bisa dipraktekkan di program tersebut. Pada tutorial ini saya menggukan Civil 3D 2011

A. Menulis text jarak dan azimut menggunakan query.

Ide metode ini adalah dengan mengambil informasi line properties Length dan Angle.

image

Besaran sudut (angle) yang ada di Line properties dihitung dari sumbu X berlawanan arah jarum jam. Untuk mendapatkan nilai azimut (sudut dari sumbu Y searah jarum jam), maka perlu dilakukan konversi sudut dengan rumus berikut:

Azimut=90-Angle

Karena informasi jarak dan azimut diambil dari line properties, maka apabila object yang akan diberi label berupa polyline, perlu di explode menjadi object line. Ketikkan explode di command line untuk merubah polyline menjadi line.

Command: explode

 

 

Berikut langkah-langkahnya:

1. Misal file yang berisi polyline yang sudah di exploded bernama [polyline.dwg] dan sudah tersimpan di folder c:\caddwg\

2. Buat file baru di AuotcadMap. Yakinkan bahwa file polyline.dwg tidak terbuka, tutup file tersebut jika masih terbuka.

3. Aktifkan Task Pane Map, dengan mengetikkan di command:mapwspace

image

Pilih Tab ‘Map Explorer’

Click kanan icon drawing, kemudian pilih [Attach...]

Buat drive alias ke folder c:\caddwg\ dengan click icon image

 

Pada kotak dialog [Drive Alias Administration], masukkan nama drive alias dan lokasi foldernya, kemudian click [Add] lalu [Close]. Pada contoh saya masukkan nama drive alias ‘DataCAD’ yang mengacu ke folder c:\caddwg

4. Rubah drive alias ke ‘DataCAD’, pilih nama file polyline.dwg

image

Click tombol [Add], kemudian [OK] untuk menutup kotak dialog

 

 

 

 

 

 

 

 

5. Melakukan query dari attached drawing.

Pada tab ‘Map Explorer’ di bawah folder ‘Query Library’, click kanan icon ‘Current Query’ kemudian pilih ‘Define’.

image

Akan ditampilkan kotak dialog ‘Define query’ :

image

Pada group ‘Query Type’, Click tombol [Location], kemudian pilih ‘Boundary Type’ , ‘All’

Pada group ‘Query Mode’, pilih ‘Draw’

Di group ‘Options’, click check box, kemudian click tombol [Alter Properties]

Pada kotak dialog ‘Set Property Alterations’, click tombol [Text] di group ‘Select Property’

 

 

 

5.1. Penulisan label azimut, di kotak dialog ‘Define Text’ lakukan setting sebagai berikut:

image

‘Text Value’: (ANGTOS (- (* 0.5 pi) .ANGLE) 1 4)

‘Rotation’: (/ (* .ANGLE 180) pi)

keterangan fungsi autolisp di ‘Text Value’ adalah

(- (* 0.5 pi) .ANGLE) –> menghitunga azimut (90-Sudut) dalam satuan radian

(ANGTOS (- (* 0.5 pi) .ANGLE) 1 4)–>merubah sudut ke format derajat-menit-detik

pada isian ‘Rotation’ dimaksudkan agar text tertulis sesuai dengan arah line.

Jika sudah selesai click tombol [OK]

5.2. Penulisan Label Jarak

Click lagi tombol [Alter Properties], kemudian click tombol [text]

Pada kotak dialog ‘Define text’ lakukan setting sebagai berikut

 

Tampilan kotak dialog ‘Set Property Alteration’ menjadi :

image

Click tombol [OK].

Click tombol [Execute Query] di kotak dialog ‘Define Query’

 

 

 

 

 

 

Contoh tampilan label setelah Query dibandingkan dengan dimension di autocad

image

Label berwarna merah adalah hasil query.

 

 

 

 

 

 

 

 

 

B. Menulis text jarak dan azimut menggunakan Annotation.

Langkah-langkah ini jika program autcadmap Anda sudah support Annotation

1. Buat Block yang memuat map annotation

  • Ketik di command: MapAnnTemplate
  • Perintah di atas sama dengan tahapan sebagai berikut, jika Anda ada di workspace autocad Map:
  • Pada menu [Annotate], pilih Tab [Map Annotation]
  • Click icon [Define Template], untuk menampilkan kotak dialog [Define Annotation Template]
  • Click [New] untuk membuat template baru
  • Masukkan nama template misalnya azimutjarak
  • Kemudian click [OK], untuk masuk ke block editor template
  • ketik di command:mapanntext (jika command line tidak terlihat tekan ctrl+9)
  • tekan [enter], untuk membuat annotation text
  • di group attribute, isikan tag, misal asimut
  • Isikan Value: (ANGTOS (- (* 0.5 pi) .ANGLE) 1 4)
  • Untuk setting rotasi Text biarkan saja
  • Lakukan juga setting tinggi Text
  • Click [OK], kemudian letakkan lokasinya di block editor
  • ketik di command:mapanntext
  • tekan [enter], untuk membuat annotation text
  • di group attribute, isikan tag, misal jarak
  • Isikan Value: (RTOS .LENGTH 2 4)
  • Click [OK], kemudian letakkan lokasinya di block editor
  • Lakukan Setting base point. Cara setting base point ada di post [CAD-MAP-11]: Labelling Titik Tinggi Menggunakan Annotation di AutocadMap
  • Annotation template menjadi:

image

  • click tombol [close block editor]
  • kemudian click OK untuk menutup kotak dialog [Define Annotation Template]

2. Insert Annotation

  • ketik di command:MapAnnInsert
  • pilih ‘annotation template’ ‘azimut jarak’, kemudian click [Insert]
  • Select atau pilih object Line yang akan diberi label

Contoh hasil labeling dengan annotation dibandingkan dengan annotation di autocad:

image

 

Hasil labelling tidak diputar sesuai dengan object linenya, karena property rotation tidak diset. Jika ingin label dirotasi, maka perlu di buat dua buah template yaitu template untuk azimut dan jarak. Kedua template tersebut di set rotation anglenya seperti pada langkah 5.1

B. Menulis text jarak dan azimut menggunakan Autolisp.

Jika Anda tidak mempunyai modul Map terinstall di Autocad, maka tahapan di atas tidak bisa dilakukan. Saya telah membuat program Autolisp agar proses labelling asimut dan elevasi bisa dilakukan di Autocad tanpa modul Map.

Dengan Autolisp, polyline tidak perlu di explode menjadi object Line dan object yang akan diberi label harus berupa polyline

Copy Autolisp di bawah:

(Defun c:LabelAsimutJarak()
(vl-load-com)(gc);assure activex is loaded and free up memory
(setq acaddoc (vla-get-activedocument (vlax-get-acad-object)))
(setq mSpace (vlax-get-property acadDoc ‘Modelspace))
(setq ent (car(entsel “\nPilih Polyline>>”)))
(setq TinggiHuruf (getreal “\nTinggi Huruf:”))
(setvar “OSMODE” 0);setting osnap none
(setq obj (vlax-ename->vla-object ent))
(setq nmObj (vla-get-objectname obj))
(if (= nmObj “AcDbPolyline”)
(progn
;ambil koordinat dari polyline
(setq ListCoord (vla-get-coordinates obj))
;convert variant ke list
(setq ListCoord (vlax-safearray->list (vlax-variant-value ListCoord)))
(setq nvertex (/ (length ListCoord) 2))
;ambil koordinat tiap vertex sepanjang polyline
(setq i 0)
(repeat nvertex
(if (> i 1)
(progn
(setq xyTo (list (nth i ListCoord) (nth (+ i 1) ListCoord)))
(setq Jarak (distance xyFrom xyTo))
(setq Sudut (angle xyFrom xyTo));dalam radian dari sumbu X
(setq Azimut (- (* 0.5 pi) Sudut));sudut dari arah utara / Y
(setq sAzimut (angtos Azimut 1 4));konversi radian ke der men det
(setq xMid (* 0.5 (+ (nth 0 xyFrom) (nth 0 xyTo))))
(setq yMid (* 0.5 (+ (nth 1 xyFrom) (nth 1 xyTo))))
(setq xyMidAzimuth (list xMid yMid 0));insert point azimuth
(setq xyMidJarak (list xMid (- yMid (* 2 TinggiHuruf)) 0));insert point jarak

(setq xyMidAzimuth (vlax-3d-point xyMidAzimuth));convert to 3d-point variant
(setq xyMidJarak (vlax-3d-point xyMidJarak));convert to 3d-point variant

;menulis text Azimuth
(setq aText (vla-addtext mSpace sAzimut xyMidAzimuth TinggiHuruf))
(vla-put-rotation aText Sudut);rubah rotasi text
(vla-update aText);update text

;menulis text Jarak
(setq aText (vla-addtext mSpace (rtos Jarak 2 4) xyMidJarak TinggiHuruf))
(vla-put-rotation aText Sudut);rubah rotasi text
(vla-update aText);update text

(setq xyFrom xyTo)
);end progn
(setq xyFrom (list (nth i ListCoord) (nth (+ i 1) ListCoord)))
);end if
(setq i (+ 2 i))
);end repeat
);end progn
);end if
);end function

Simpan file di atas sebagai *.lsp atau tambahkan ke koleksi autolisp Anda.

Ketik di command:LabelAsimutJarak

Pilih polyline dan masukkan tinggi huruf.

contoh hasil dengan autolisp:

image

=selamat mencoba==

February 18, 2011

[XLS-MAP-05]: Plotting Koordinat Excel ke Civil 3D

Filed under: AutoCAD — cadex @ 00:17
Referensi :
[XLS-MAP-03]: Plotting List Koordinat dari Excel ke AutoCAD
Platform : Excel dan Civil3D 2011
Lokasi File :

Pada post [XLS-MAP-03]: Plotting List Koordinat dari Excel ke AutoCAD telah dijelaskan cara plotting koordinat ke Autocad dengan program visual basic application for excel. Tulisan kali ini akan diuraikan cara plotting koordinat ke AutocadMap atau Civil 3D menggunakan fasilitas ‘Connect a Feature Source’ yang ada di civil 3D atau AutocadMap, tanpa menggunkan visual basic maupun autolisp

Pada tulisan ini, saya menggunakan civil 3D 2011.

Tahapan plotting adalah:

1 Membuat [named range] pada list koordinat di file excel yang akan di plot
image_thumb7
1.1. Block tabel berisi koordinat yang akan diplot.
1.2. Dari menu [Insert], pilih [Define]
1.3. Masukkan Nama range, misal ‘KoordGeo’
1.4. Simpan file Excel, kemudian tutup file excel.
2 Setting ODBC agar connect ke file excel di atas.
Seperti yang telah diuraikan di [GEN-PMG-05]: Pivot Table Excel data dari Query Database MySQL
Ikuti langkah sesuai nomor di gambar berikut : 

image_thumb12

Pada nomor 5 (lima), click tombol [Select Workbook], kemudian pilih file excel yang telah didefinisikan ‘named range’ seperti di langkah 1
Pada langkah ini User data Source telah didefinisikan..

3 Melakukan koneksi AutocadMAP/Civil 3D ke Excel data Source
3.1. Aktifkan civil 3D atau Autocad map
3.2. Jika Command Prompt belum aktif, tekan tombol CTRL+9 untuk mengaktifkannya
3.3. Pada command prompt ketik
Command: mapconnect
image_thumb15
3.4. Setelah diclick tombol [Select] di langkah 5(lima), click tombol [Connect]
3.5. Tidak perlu diisi user name dan password, langsung clik [Login]
4 Melakukan setting system koordinat: 

image_thumb19
image_thumb22

diplih LatLongs, karena koordinat yang dipilih adalah koordinat lintang bujur, jika koordinat yang akan diplot adalah projected coordinat seperti UTM maka harus diseesuaikan datum dan letak zonenya..

5. Setting X dan Y dari field Database Excel
image_thumb25
5.1. Click ruang kosong di bawah field X, kemudian pilih [Bujur]
5.2. Ulang langkah 5.1 untuk field di bawah Y, kemudian pilih [Lintang]
5.3 Click tombol [Add to Map]
6. Titik-titik koordinat sudah tergambar di civil 3D

===selamat mencoba===

January 16, 2011

[XLS-SVY-007]: Plotting Cross Section dari Excel ke AutoCAD

Filed under: AutoCAD, Excel, Tukang Ukur — Tags: , — cadex @ 23:08
Referensi : [XLS-MAP-03]: Plotting List Koordinat dari Excel ke AutoCAD
Platform : Excel dan AutoCAD
Lokasi File : xls-svy-007.zip

Rencananya program ini akan saya masukkan ke program perhitungan cut and fill cross section dengan vba/macro. Tetapi mempertimbangkan bahwa untuk melakukan koneksi excel ke autocad harus menggunakan library autocad yang sesuai dengan versi autocad yang sudah terinstall, maka code koneksi ini tidak saya masukkan.

Saat saya menulis program ini, saya menggunakan AutoCAD versi 2011. Versi autocad yang lain dan cara setting di Visual Basic Application, silahkan membaca [XLS-MAP-03]: Plotting List Koordinat dari Excel ke AutoCAD di section ‘Setting Reference ke AutoCAD Library’.

Code dalam visual basic application, saya bagi menjadi dua bagian yaitu Procedure Utama dan Procedure/Function Pendukung. Procedure Utama adalah nama macro yang akan dijalankan melalui menu excel, sedangkan procedure/function pendukung adalah procedure2 yang tidak ditampilkan dalam menu macro di excel.

Procedure Utama:

Option Explicit
Dim appCAD As AcadApplication
Dim acadDoc As AcadDocument
Dim acadMspace As AcadModelSpace
 

Sub PlotGarisCrossSection()
Dim LstKoordExisting() As Double, LstKoordDesign() As Double
Dim BasePoint As Variant, OK As Boolean
OK = True
‘Membaca list koordinat existing dan design
If Not BacaListKoordinat(LstKoordExisting, “Pilih List Koordinat Existing “) Then Exit Sub
If Not BacaListKoordinat(LstKoordDesign, “Pilih List Koordinat Design “) Then Exit Sub
‘Jika bisa connect autocad, ganti window ke autocad
If ConnectAutoCAD = Not OK Then Exit Sub
GantiWindowKeCAD
BasePoint = GetPointInCAD(“Base Point”) ‘base point untuk menggambar cross section
‘Buat Layer dengan nama Existing
SetLayerAktif “Existing”
‘Plot Garis (Polyline) Existing di layer Existing
PlotGaris2D LstKoordExisting, CDbl(BasePoint(0)), CDbl(BasePoint(1))

‘Buat Layer dengan nama Design
SetLayerAktif “Design”
‘Plot Garis (Polyline) Design di layer Design
PlotGaris2D LstKoordDesign, CDbl(BasePoint(0)), CDbl(BasePoint(1))

‘plot label dengan jarak baris exiting =1, design =1, tinggi huruf=0.1
x_section_label CDbl(BasePoint(0)), CDbl(BasePoint(1)), 1, 1, 0.1
End Sub

Text warna biru adalah procedure atau function pendukung.

Procedure Pendukung (Private):

‘==private sub dan function====
‘=================
’1. Objects Excel
‘=================
Private Function BacaListKoordinat(rtnListXY() As Double, ByVal strTitle As String) As Boolean
Dim aRange As Range, cr As Range 

On Error GoTo Err_Trap:
Set aRange = Application.InputBox(Prompt:=strTitle, Type:=8)
If aRange.Columns.Count < 2 And aRange.Columns.Count > 2 Then
MsgBox “List Koordinat Harus 2 (Dua) Kolom. Kolom Pertama X, Kolom Kedua Y “
GoTo Err_Trap
End If

‘membaca koordinat x dan y, hasilnya disimpan di rtnListXY()
Dim i As Integer
i = -1
For Each cr In aRange.Columns(1).Cells
i = i + 2
ReDim Preserve rtnListXY(i)
rtnListXY(i – 1) = cr
rtnListXY(i) = cr.Offset(, 1)
Next
BacaListKoordinat = True
Exit Function
Err_Trap:
Err.Clear
BacaListKoordinat = False
End Function
‘==================
’2. Objects AutoCAD
‘==================
Private Function ConnectAutoCAD() As Boolean
On Error Resume Next
ConnectAutoCAD = True
Set appCAD = GetObject(, “AutoCAD.Application”)
Set acadDoc = appCAD.ActiveDocument
Set acadMspace = acadDoc.ModelSpace
If Err.Number Then
ConnectAutoCAD = False
Exit Function
End If
End Function
Private Sub GantiWindowKeCAD()
AppActivate appCAD.Caption
End Sub

Private Function GetPointInCAD(strPrompt As String) As Variant
GetPointInCAD = acadDoc.Utility.GetPoint(, strPrompt)
End Function

Private Sub SetLayerAktif(strNamaLayer As String)
Dim aLayer As AcadLayer
On Error Resume Next
Set aLayer = acadDoc.Layers(strNamaLayer)
If Err.Number Then
Err.Clear
Set aLayer = acadDoc.Layers.Add(strNamaLayer)
End If
acadDoc.ActiveLayer = aLayer
End Sub

Private Sub PlotGaris2D(ListTitik() As Double, Optional Xorigin As Double = 0, Optional Yorigin As Double = 0)
Dim i As Integer
For i = LBound(ListTitik) To UBound(ListTitik) Step 2
ListTitik(i) = ListTitik(i) + Xorigin
ListTitik(i + 1) = ListTitik(i + 1) + Yorigin
Next i
acadMspace.AddLightWeightPolyline ListTitik
End Sub
Private Function GetOneEntity(ByVal strPrompt As String) As AcadEntity
Dim objEntity As AcadObject, PickedPoint(0 To 2) As Double
AppActivate appCAD.Caption
acadDoc.Utility.GetEntity objEntity, PickedPoint, strPrompt
Set GetOneEntity = objEntity
End Function
Private Sub x_section_label(Xorigin As Double, Yorigin As Double, _
TinggiBaris1 As Double, TinggiBaris2 As Double, TinggiHuruf As Double)

Dim anEntity As AcadEntity, polyExisting As AcadLWPolyline, polyDesign As AcadLWPolyline
Dim aText As AcadText

Dim i As Integer, stLine(0 To 2) As Double, edLine(0 To 2) As Double, Xmin As Double, Xmax As Double
Dim Existing_XY() As Double, Design_XY() As Double, Ymin As Double
Dim pntText(0 To 2) As Double, textRotation As Double

textRotation = Application.Radians(90)
Ymin = Yorigin – TinggiBaris1 – TinggiBaris2
Set anEntity = GetOneEntity(“Pilih Polyline Existing”)
If anEntity.ObjectName = “AcDbPolyline” Then
Set polyExisting = anEntity
Existing_XY = polyExisting.Coordinates
Xmin = Existing_XY(0)
‘gambar garis vertikal
SetLayerAktif “Grid Existing”
For i = LBound(Existing_XY) To UBound(Existing_XY) Step 2
stLine(0) = Existing_XY(i)
stLine(1) = Existing_XY(i + 1)
Xmax = stLine(0)
edLine(0) = stLine(0)
edLine(1) = Ymin
acadMspace.AddLine stLine, edLine

‘menulis text elevasi dan jarak
pntText(1) = Yorigin – TinggiBaris1
‘Label jarak
pntText(0) = stLine(0) – TinggiHuruf
Set aText = acadMspace.AddText(Format(stLine(0) – Xorigin, “0.00″), pntText, TinggiHuruf)
aText.Rotate pntText, textRotation
‘Label elevasi
pntText(0) = stLine(0) + TinggiHuruf
Set aText = acadMspace.AddText(Format(stLine(1) – Yorigin, “0.00″), pntText, TinggiHuruf)
aText.Rotate pntText, textRotation

Next i
End If

‘Gambar Garis Base Line
SetLayerAktif “Datum”
stLine(0) = Xmin: edLine(0) = Xmax
stLine(1) = Yorigin: edLine(1) = stLine(1)
acadMspace.AddLine stLine, edLine

stLine(0) = Xmin: edLine(0) = Xmax
stLine(1) = Yorigin – TinggiBaris1: edLine(1) = stLine(1)
acadMspace.AddLine stLine, edLine

stLine(0) = Xmin: edLine(0) = Xmax
stLine(1) = Yorigin – TinggiBaris1 – TinggiBaris2: edLine(1) = stLine(1)
acadMspace.AddLine stLine, edLine

Set anEntity = GetOneEntity(“Pilih Polyline Design”)
If anEntity.ObjectName = “AcDbPolyline” Then
Set polyDesign = anEntity
Design_XY = polyDesign.Coordinates

‘menggambar garis vertikal di layer grid design
SetLayerAktif “Grid Design”
For i = LBound(Design_XY) To UBound(Design_XY) Step 2
stLine(0) = Design_XY(i)
stLine(1) = Design_XY(i + 1)

edLine(0) = stLine(0)
edLine(1) = Ymin
acadMspace.AddLine stLine, edLine

‘menulis text elevasi dan jarak
pntText(1) = Yorigin – TinggiBaris1 – TinggiBaris2

‘Label jarak
pntText(0) = stLine(0) – TinggiHuruf
Set aText = acadMspace.AddText(Format(stLine(0) – Xorigin, “0.00″), pntText, TinggiHuruf)
aText.Rotate pntText, textRotation

‘Label elevasi
pntText(0) = stLine(0) + TinggiHuruf
Set aText = acadMspace.AddText(Format(stLine(1) – Yorigin, “0.00″), pntText, TinggiHuruf)
aText.Rotate pntText, textRotation

Next i
End If
End Sub

‘===end private sub dan function”

Download List Program (mdlPlot2CAD.bas)

Download contoh cross section (xls-svy-007.zip)

Menjalankan Makro

1. Buka Excel yang ada di file xls-svy-007.zip dan AutoCAD

2. Pada Program Excel tekan Alt+F11 untuk membuka Microsoft Visual Basic Editor

3. Di Microsoft Visual Basic Editor, tekan Ctr+M kemudian pilih file mdlPlot2CAD.bas yang sudah didownload.

4. Setting library ke AutoCAD yang ada di komputer Anda.

5. Keluar dari Microsoft Visual Basic Editor dengan menekan Alt+Q

6. Pada file xls-svy-007.xls, tekan Alt+F8 kemudian double click macro PlotGarisCrossSection

image

Gunakan Mouse untuk mengeblok koordinat (offset, elevasi) Existing yaitu $Q$7:$R$57, kemudian click OK. Akan muncul kotak dialog seperti di atas lagi, untuk memilih (mengeblok) koordinat design yaitu $S$7:$T$11. Akhiri dengan click OK

7. Pindah ke program AutoCAD, jika program tidak pindah ke AutoCAD secara otomatis.

8. Di Autocad akan muncul prompt

Command: Base Point >> Click sembarang lokasi di AutoCAD
Command: Pilih Polyline Existing >> Pilih Polyline Existing di AutoCAD
Command: Pilih Polyline Design >> Pilih Polyline Design di autoCAD

9. Lakukan setting warna Layer

10. Gambar cross section di AutoCAD, lengkap dengan label offset dan elevasi

image

selamat mencoba

==zainul==

October 25, 2010

[XLS-MAP-03]: Plotting List Koordinat dari Excel ke AutoCAD

Filed under: AutoCAD, Excel, Map — Tags: , — cadex @ 21:29

 

Referensi : import point dengan autolisp
Platform : Excel dan AutoCAD
Lokasi File : download

Pada awalnya saya ingin membuat program visual basic application yang ada di Autocad 2011 untuk menggambarkan lokasi titik-titik sesuai dengan list koordinat yang ada di excel. Tetapi saat saya menekan tombol Alt+F11 untuk mengaktifkan visual basic di AutoCAD 2011 muncul pesan “Microsoft Visual Basic for Application Software is no longer installed with AutoCAD”. Sebetulnya masih disupport oleh Autodesk, tetapi harus download dulu di sini.

Daripada download (sebetulnya pingin sih), saya coba cara lain dengan memanfaatkan program Microsoft Visual Basic for Application yang ada di Excel (Macro). Koneksi AutoCAD dan Excel bisa dilakukan dengan cara memilih ‘AutoCAD 2011 Type Library’ di pilihan References-VBA Project. Jika Anda menggunakan versi AutoCAD yang lain, pilihlah library dengan nama ‘AutoCAD xxxx Type Library’, dimana xxxx adalah versi AutoCAD yang sedang Anda gunakan. misal untuk AutoCAD 2010, maka librarynya adalah ‘AutoCAD 2010 Type Library’.

Contoh List Koordinat di Excel yang akan diplot di AutoCAD adalah :

image

Bujur akan diplot sebagai koordinat X, Lintang adalah koordinat Y dan  Elevasi adalah Z. Text Keterangan akan diplot sesuai dengan posisi titik tersebut (XYZ).

 

 

 

 

 

 

1. Buka file Excel yang berisi list koordinat Saat file excel sudah terbuka, pilih sheet yang berisi list koordinatnya, kemudian tekan Alt+F11 untuk mengaktifkan visual basic editor.
Dari Menu ‘Insert’ pilih ‘Module’
2. Jalankan program AutoCAD, tanpa menutup program Excel Jika diinginkan, pilih layer dan text style di AutoCAD.
3. Setting Reference ke AutoCAD Library pada visual basic editor, pilih menu ‘Tools’ kemudian ‘References’.
Pilih AutoCAD Library sesuai dengan versi AutoCAD yang aktif di pilihan available references. 

image
click OK jika library sudah dipilih.

4. Tulis Macro atau Visual basic di module Option Explicit
Sub PlotKeAutocad()
Dim rgKoordinat As Range

‘table list koordinat di sheet yang aktif
Set rgKoordinat = ActiveSheet.UsedRange
rgKoordinat.Select

Dim respon As Long
If MsgBox(“Pilihan Sudah Benar?”, vbYesNo) = vbNo Then Exit Sub

Dim c As Range, i As Integer, j As Integer
Dim lstKoord() As Double, lstDes() As String

‘membaca list koordinat dan nama titik dari excel
i = -1: j = -1
For Each c In rgKoordinat.Columns(1).Cells
If Application.IsNumber(c) Then
i = i + 3
j = j + 1
ReDim Preserve lstKoord(i)
lstKoord(i – 2) = c
lstKoord(i – 1) = c.Offset(, 1)
lstKoord(i) = c.Offset(, 2)

ReDim Preserve lstDes(j)
lstDes(j) = c.Offset(, 3)
End If
Next

‘koneksi ke autocad, program autocad harus sudah dijalankan
Dim appCAD As AcadApplication
On Error Resume Next
Set appCAD = GetObject(, “AutoCAD.Application”)
If Err.Number Then Exit Sub

Dim Koordinat(0 To 2) As Double
Const TinggiHuruf = 0.002 ‘rubah angka sesuai dengan tinggi huruf yang diinginkan
j = -1
For i = LBound(lstKoord) To UBound(lstKoord) Step 3
j = j + 1
Koordinat(0) = lstKoord(i)
Koordinat(1) = lstKoord(i + 1)
Koordinat(2) = lstKoord(i + 2)
With appCAD.ActiveDocument.ModelSpace
.AddPoint Koordinat ‘plot koordinat
.AddText lstDes(j), Koordinat, TinggiHuruf
End With
Next i

appCAD.ZoomExtents
AppActivate appCAD.Caption
Set appCAD = Nothing
End Sub

5. Menjalankan Program atau Macro Kembali ke sheet list koordinat.
Tekan Alt+F8, kemudian pilih macro PlotKeAutocad , kemudian click Run
6. Check di AutoCAD, apakah titik2 tersebut sudah benar possisinya?

November 26, 2009

[CAD-MAP-09]: Mencoba Annotation Scale di AutoCAD

Filed under: AutoCAD — cadex @ 16:11
Referensi : baca help di autocad tentang annotative
Platform : mulai Autocad 2008
Lokasi File :  

 

Saya menerima gambar skala 1:25 seperti ini:

image

Apabila gambar tersebut akan ditampilkan dalam skala yang lebih kecil misalnya 1:50 atau 1:100, seharusnya ukuran untuk text diubah menjadi lebih besar agar text masih bisa dibaca. Atau ada beberapa text yang tidak perlu ditampilkan pada skala tertentu.

Sejak Autocad 2008, ada fasilitas annotation yang dapat digunakan untuk melakukan hal tersebut.

Sesuai yang tertulis di help autocad, object yang bisa dijadikan object annotation adalah:

Hatches
Text (single-line and multiline)
Tables
Dimensions
Tolerances
Leaders and multileaders
Blocks
Attributes

Gambar di atas yang akan dicoba untuk dibuat annotative object adalah nomer 1 (dimension), 2 (leaders) , 3 (attributes) dan 4 beberapa text.

1. Merubah menjadi annotative object dan menentukan tingkatan skala.

Memilih object dimensions dan merubah menjadi annotative object. Pada command prompt ketik. Tentunya yang didalam kurung tidak perlu ditulis.

command:qselect <enter> 

Isikan pada kotak dialog ‘Quick Select’

Apply to Entire drawing
Object Type Rotated Dimension
Operator Select All
How to apply Include in new selection set

kemudian click OK

image

tekan Ctrl+1, jika setting object properties seperti di samping belum muncul

Set pilihan di properties

Annotative Yes
Annotative Scale 1:25

Ulangi langkah ‘qselect’ untuk ‘Object Type’= ‘Leader’ dan ‘Text’

 

 

 

Untuk merubah block attribute menjadi annotative object, pada command prompt ketik block, kemudian pilih block yang akan dijadikan annotative, pada behavior, click annotative.

image

Gerakkan mouse ke object yang sudah dirubah. Jika ada icon image , symbol seperti bintang kaki tiga, maka object tersebut sudah berubah menjadi annotative objects.

Merubah informasi block attribute agar berubah sesuai dengan skala yang aktif

image

Informasi skala akan berubah sesuai dengan setting skala yang aktif. Ikuti langkah berikut:

command: attedit <enter>

<pilih block attribute>

 image

disebelah tulisan “SKALA” click kanan, kemudian pilih ‘Insert Field…’

 

 

Pada kotak field, set sebagai berikut:

Field Category All
Field Names SystemVariables
SystemVariable cannoscale
Format Uppercase

2. Merubah skala gambar

Pada program autocad di kanan bawah terdapat tool bar dengan 3 icon yang berhubungan dengan object annotation yaitu :

 image

Pada gambar di atas icon nomer 2 dan 3 dalam status aktif.

icon 1   memilih skala gambar
icon 2 aktif semua annotative object akan ditampilkan di semua skala gambar
  tidak aktif annotative object hanya ditampilkan sesuai skala yang sudah di set pada annotative object
icon 3 aktif otomatis akan men-skala object menjadi kecil atau besar sesaui dengan skala yang dipilih di icon 1
  tidak aktif annotative object, tidak di-skala

Click icon nomer 1, pada kondisi icon nomer 2 dan 3 aktif, kemudian pilih skala 1:50.

image

Terlihat bahwa dimensions, attribute dan text menjadi lebih besar (ter-skala) sesuai dengan perubahan skala gambar.

Jika informasi skala di block attribute tidak berubah, ketik regen di command line.

Silahkan click icon 1 untuk mencoba skala gambar yang lain

3. Mengeset skala di object annotative

Jika diinginkan untuk mengatur object annotative hanya ditampilkan dalam skala tertentu, misal hanya di skala 1:25 dan 1:50, maka urutannya adalah sebagai berikut.

Memilih object annotation scale.

Pada command line ketik

command: qselect <enter>

<pilih object type rotates dimension>

<masih dalam object terpilih, ketik>

command:  objectscale <enter>

<pada object scale list, diset hanya untuk 1:25 dan 1:50>

image

ulangi untuk object type : leader, text dan block attribute.

 

 

 

 

 

image

Pastikan bahwa icon 2 dan 3 pada posisi tidak aktif. Kemudian pilih skala 1:100, maka dimensi yang diset di skala 1:25 dan 1:50 tidak ditampilkan.

image

 

===selamat mencoba dan berlatih====

June 2, 2009

[CAD-MAP-08]: Export Isi Block Attribute ke File

Filed under: AutoCAD — cadex @ 15:10
Referensi : Help AutoCAD tentang Extract Block Attribute Data
Platform :  
Lokasi File :  

 

Pada bagian sebelumnya , telah dijelaskan tahapan dalam pembuatan block attribute dan pemakaian object field untuk mengisi block attribute.

Pada bagian ini akan dijelaskan bagaimana cara mengexport informasi yang tersimpan dalam block attribute ke file ascii sehingga dapat dibaca memakai notepad, word, excel ataupun dimasukkan ke database.

Tahapannya adalah sebagai berikut:

A. Identifikasi Tag Attribute dan block information yang akan diexport.

image

gambar di samping adalah contoh block attribute hasil dari tahapan sebelumnya.

double click salah satu block attribute tersebut, sehingga ditampilkan kotak dialog ‘Enhanced Attribute Editor’.

Pada kotak dialog tersebut click tab ‘Attribute’

image

Informasi yang akan diexport adalah informasi yang tersimpan pada ‘Tag Attribute’ ID, X dan Y

 

 

B. Membuat Template File

Maksud template ini adalah untuk mengeset nama field, lebar field, type data dan jumlah angka di belakang koma yang akan di export ke file.

Silahkan di baca di ‘Help AutoCAD tentang Extract Block Attribute Data’ untuk keterangan lebih detail tentang cara membuat template file.

Tabel pembuatan template sesuai dengan ‘Tag Attributes’ yang telah dipilih adalah sebagai berikut:

Tag Attribute (C)haracter / (N)umeric Lebar Field Desimal Template
ID C 3 0 ID C003000
X N 10 4 X N010004
Y N 10 4 Y N010004

Ketik template yang dengan notepad kemudian simpan file misalnya dengan nama id_x_y.txt

image

C. Export Block Attribute

Command: attext <enter>

image

Pada pilihan ‘File Format’ pilih format file yang diinginkan, contoh kali ini, dipilih ‘Space Delimeted (SDF)’

click ‘Select Object’, kemudian pilih block attribute

kemudian click ‘Template File’ untuk memilih template yang telah dibuat sebelumnya

click ‘Output File’ untuk memberi nama fila hasil export block attribute

 

 

File hasil export attribute:

image

+++jangan takut untuk mencoba++++

May 27, 2009

[CAD-MAP-07]: Cara Mudah Membuat Label dan Table Koordinat di AutoCAD Bagian #2

Filed under: AutoCAD — cadex @ 08:57
Referensi :  
Platform : Autocad 2007 – 2009
Lokasi File :  

 

Menyambung dari Bagian #1, buat table koordinat di sebelah kanan gambar yang berlabel.

image

Baris pertama merupakan judul kolom sedangkan baris berkutnya  akan diisi informasi dari label point P1, P2 dan seterusnya sampai P6.

Double click text PILE ID pada baris ke dua, kemudian click kanan pilih ‘Insert Field’

image

Langkah di samping untuk isian kolom pertama (PILE ID).

Untuk melakukan isian di kolom kedua (X) dan ketiga (Y), ulangi langkah disamping dengan memilih property X untuk koordinat X dan property Y untuk koordinat Y

Ulangi langkah-langkah tersebut untuk baris ketiga sampai ke tujuh untuk P2 sampai P6.

 

Tabel koordinat akan menjadi:

image

Sekarang dipindah atau move lokasi pilenya, setelah itu ketik REGEN, maka label koordinat dan list akan ter-update secara otomatis.

=selamat mencoba=

[CAD-MAP-06]: Cara Mudah Membuat Label dan Table Koordinat di AutoCAD Bagian #1

Filed under: AutoCAD — cadex @ 08:54
Referensi : baca help autocad tentang dynamic block
Platform : Autocad 2007 – 2009
Lokasi File :  

 

Contoh gambar yang akan diberi label koordinat adalah :

image

Koordinat ada di tepat persimpangan garis merah atau center dari lingkaran hitam. Tiap koordinat akan diberi nama dari P1 sampai P6 kemudian akan dibuatkan table list koordinat dari masing-masing nama tersebut.

Langkah-langkah untuk membuat label adalah :

A. Membuat block attribute di block editor

Block attribute yang akan dibuat ada dua yaitu :

Nama Block Attribute Keterangan  
pAtas ID, X, Y Label ada di kanan atas lingkaran Label kiri atas akan dimirror dari label sebelah kanan
pBawah ID, X, Y Label ada di kanan bawah lingkaran Label kiri bawah akan dimirror dari label sebelah kanan

 

A.1  Membuat Block ‘pAtas’ dan ‘pBawah’

Command: block <enter>
di isian ‘Name” masukkan ‘pAtas’
click ‘Select Objects’, kemudian pilih satu object lingkaran.
click ‘OK’

ulangi langkah di atas untuk ‘Name’  ‘pBawah’

 

A.2 Mengedit Block ‘pAtas’ dan ‘pBawah’ di block editor

Command: bedit <enter>
pilih block ‘pAtas’
Command: attdef <enter>
Pada group Attribute, masukkan ‘PointID’ di Isian Tag
Saat prompt ‘Specify start point:’ click lokasi di kanan atas lingkaran
pada tahap ini posisi label nama titik sudah diset.

Command: attdef <enter>
Isikan Tag ‘X’ di group attribute
kemudian click image  di isian default.

image

Lakukan setting field seperti di atas.
Koordinat X dan Y akan diambil dari koordinat insertion point dari bloc attribute. Jika Block attribute digeser, maka posisi X dan Y akan ikut berubah.

Saat prompt ‘Specify start point:’ click lokasi di bawah text ID.

 

Command: attdef <enter>
Isikan Tag ‘Y’ di group attribute
kemudian click image  di isian default.
Isikan sesuai di atas, kecuali untuk pilihan X, Y dan Z yang dipilih adalah Y, sedangkan untuk X TIDAK dipilih.
Saat prompt ‘Specify start point:’ click lokasi di bawah text X.

Hasil block akan terlihat sebagai berikut:
image 

Block di atas adalah untuk posisi kanan atas, agar attribute bisa dimirror (di posisi kiri atas), maka block tersebut harus diedit menggunakan fasilitas block editor.

Masih di block editor, akan ditampilkan ‘Block Authoring Pallete’
Pada block pallete tersebut, pilih tab ‘Parameters’
image  kemudian clik ‘Flip Parameter’

 

Command: _BParameter Flip
Specify base point of reflection line or [Name/Label/Description/Palette]: _cen
of <click titik tengah lingkaran>
Specify endpoint of reflection line:  <Ortho on> <click garis pencerminan, ke arah atas dari titik pencerminan>
Specify label location:<click posisi label, sepanjang garis pencerminan>

Pilih panah cyan dan tarik (pindahkan) ke atas.

click ‘Click Base Point Parameter’

Command: _BParameter Base Point
Specify parameter location: _cen of <pilih tengah-tengah lingkaran>

Hasil block pada block editor akan terlihat:

image

pada block ada tanda image , artinya proses pembuatan block masih belum selesai atau belum lengkap.

Belum lengkapnya adalah menentukan object mana yang akan dimirror atau di flip.

Pada ‘Block Authoring Pallete’, pilih tab ‘Actions’, kemudian pilih ‘Flip Action’

Command: _BActionTool Flip
Select parameter:<pilih parameter ‘Flip state’>
Select parameter: <enter>
Specify selection set for action <pilih tag ID X Y>
Select objects: Specify opposite corner: 3 found

Select objects: <enter>

Specify action location: <pilih lokasi di gambar>

image

Block attribute setelah diedit akan terlihat seperti di samping.

Setelah selesai tutup ‘Block Editor’ dengan menge-click icon ‘Close Block Editor’.

Click ‘Yes’ untuk menyimpan hasil editan.

 

 

 

Ulangi langkah di atas untuk block ‘pBawah’

B. Insert Block ke Gambar 

Command: insert  <enter>

Specify insertion point or [Basepoint/Scale/X/Y/Z/Rotate]: <pilih lokasi yg akan ditentukan koordinatnya>
Enter attribute values
Nama Titik: P1 <nama titik>
X <1835.1571>: <enter>
Y <1391.1505>: <enter>

Copy block yang sudah diinsert, ke semua titik yang akan ditentukan coordinatnya dan edit nama titik sehingga menjadi titik P1 sampai P6.

Gambar setelah dicopy dan diedit nama titiknya. Koordinat masih sama Gambar Setelah di-regen. Koordinat otomatis berubah
image image 

 

Jika diinginkan posisi label untuk P4, P5, dan P6 ada di kiri atas:

Pilih block P4, kemudian click symbol panah.

Sebelum di Flip Setelah di Flip
image image

Lakukan yang sama untuk P5 dan P6.

image

Cara membuat tabel koordinat ada di bagian #2

Older Posts »

The Shocking Blue Green Theme. Blog at WordPress.com.

Follow

Get every new post delivered to your Inbox.

Join 786 other followers